#ifndef VTKTUTORIALPLUGINFACTORY_H__
#define VTKTUTORIALPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class VTKTutorialPluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
  Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	VTKTutorialPluginFactory();
	/// Destructor
	~VTKTutorialPluginFactory();

  ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // VTKTUTORIALPLUGINFACTORY_H__
